<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Settings for local_cohortbulkdelete
 *
 * @package local_cohortbulkdelete
 * @copyright 2022 Jörg Richter
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

require($CFG->dirroot . '/local/cohortbulkdelete/config.php');

if ($hassiteconfig) {
    $settings = new admin_settingpage('local_cohortbulkdelete', get_string('pluginname', 'local_cohortbulkdelete'));

  
    $settings->add(new admin_setting_heading('cohortdeleteidnumbers',
                    get_string('cohortstodeleteidnumbers', 'local_cohortbulkdelete'),
                    implode(',',$cohortstodeleteidnumbers)));

   $settings->add(new admin_setting_heading('cohortstodeletenames',
                    get_string('cohortstodeletenames', 'local_cohortbulkdelete'),
                    implode(',',$cohortstodeletenames)));

    $link = "<a href=".$CFG->wwwroot."/local/cohortbulkdelete/deletecohorts.php class='btn btn-danger'>".get_string('buttondelete', 'local_cohortbulkdelete')."</a>";
    $settings->add(new admin_setting_heading('cohortdeletebutton', get_string('reallydelete', 'local_cohortbulkdelete'), $link));
    
        
    $ADMIN->add('localplugins', $settings);
}
